Bug 1153034 - Hammer host creation - no way to set organization or location
Summary: Hammer host creation - no way to set organization or location
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: jmagen@redhat.com
QA Contact: Elyézer Rezende
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-15 13:02 UTC by Ade Bradshaw
Modified: 2019-03-22 07:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:18:06 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Ade Bradshaw 2014-10-15 13:02:18 UTC
Description of problem:
when creating a host with "hammer host create" there is no way to set either org or location at creation time or afterwards 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. hammer host create --hostgroup "foo"  --name "bar" --mac "aa:bb:cc:dd:ee:ff"  --domain "example.com"


Actual results:
it was created in Default Org/Default location and there is no way to move it

Expected results:
you could either specify at creation time or afterwards via "hammer host update"

Additional info:
Might be a dupe of 1103862

Comment 1 RHEL Program Management 2014-10-15 13:03:02 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Dominic Cleal 2014-10-16 13:29:19 UTC
Connecting redmine issue http://projects.theforeman.org/issues/6236 from this bug

Comment 6 Elyézer Rezende 2015-03-09 17:41:42 UTC
Verified on: Satellite-6.1.0-RHEL-7-20150303.0

Steps to verify:

[root@sat6 ~]# hammer host create --help | grep -E "(org|loc)"
 --location LOCATION_NAME                  Location name
 --location-id LOCATION_ID
 --organization ORGANIZATION_NAME          Organization name
 --organization-id ORGANIZATION_ID         organization ID
[root@sat6 ~]# hammer host update --help | grep -E "(org|loc)"
 --location LOCATION_NAME                  Location name
 --location-id LOCATION_ID
 --organization ORGANIZATION_NAME          Organization name
 --organization-id ORGANIZATION_ID         organization ID

[root@sat6 ~]# hammer -u admin -p password host create --name "bar" --mac "aa:bb:cc:dd:ee:ff"  --domain-id 1 --location-id 1 --organization-id 1 --environment-id 1 --architecture-id 1 --operatingsystem-id 1 --medium-id 8 --partition-table-id 7 --root-password "password" --puppet-proxy-id 1
Host created

Comment 7 Elyézer Rezende 2015-03-09 17:45:43 UTC
PS: I had to go to UI to check if the host was added to the specified organization and location.

Comment 8 Bryan Kearney 2015-08-11 13:32:13 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:18:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.